/*
**Findtextf proc**

Format:
findtextf(Hay,Needle,Start,End)

Returns:
The position of Needle in Haystack; 0 if not found.

Args:
	Haystack: The text string to search.
	Needle: The sub-text to search for.
	Start: The text character position in Haystack in which to begin the search.
	End: The text character position in Haystack immediately following the last character to search.

This proc is case sensitive, use lowertext to make it non-sensitive.

Example:

//Ex 1. (case sensitive)

if(findtextf("Hi There","There",3))
  world << "Found!"
else
  world << "Not Found!"



//Ex 2. (non case sensitive)

if(findtextf(lowertext("Hi There"),lowertext("There"),3))
  world << "Found!"
else
  world << "Not Found!"

*/

mob
	verb
		Test(i as text)
			world << findtextf("abcdefghijklmnopqrstuvwxyz","[i]",1) //for testing

	proc
		findtextf(hay,needle,start=1,end=length(hay)+1)
			if(!hay||!needle) return 0
			while(start < (end - length(needle)+1))
				if(copytext(hay,start,length(needle)+start) == needle)return start
				start ++
			return 0
		/*
		//COMPRESSED VERSION:
		findtextf(h,n,s,e=length(h)+1){if(!h||!n){return 0}while(s < (e - length(n)+1)){if(copytext(h,s,length(n)+s) == n){return s}s ++}return 0}
		*/
/*
=====================
Find Text Final Info
=====================
It is exactly like the findtext() proc.
It's also my final version of the findtext making.

Copyright  2005 Thomas Polasek
If you wish to contact me, email me at thomas41546@hotmail.com or laptop_hobo@hotmail.com
Made by hâKe
*/